# coding: utf-8

"""
    Orbital transfer API

    An orbital transfer corresponds to a non-coplanar orbit transfer where semi-major axis, inclination and eccentricity can be simultaneously changed.  When considering a change in inclination, an efficiency factor is taken into account to consider the fact that this maneuver is  less efficient away from the orbital nodes. The length of the thrust arcs about the nodes is dictated by the duty cycle.   Different perturbations can be considered while performing this manoeuvre: Earth potential, third-body (Sun, Moon), atmospheric drag  and solar radiation pressure.   <b>CHANGELOG</b> <ul>   <li><b>2.2.0</b> - 2024-07-11 - Add space weather data source choice to <b>NRLMSISE00AtmosphericModel</b> schema</li>   <li><b>2.1.0</b> - 2024-07-03 - Add <b>atmosphericModel</b> in <b>DragPerturbation</b> schema</li>   <li><b>2.0.0</b> - 2024-06-06 - Complete refactoring of the API</li> </ul> 

    The version of the OpenAPI document: 2.2.2
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from orbital_transfer.models.orbital_transfer_simulation_response import OrbitalTransferSimulationResponse

class TestOrbitalTransferSimulationResponse(unittest.TestCase):
    """OrbitalTransferSimulationResponse unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> OrbitalTransferSimulationResponse:
        """Test OrbitalTransferSimulationResponse
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `OrbitalTransferSimulationResponse`
        """
        model = OrbitalTransferSimulationResponse()
        if include_optional:
            return OrbitalTransferSimulationResponse(
                results = orbital_transfer.models.orbital_transfer_simulation_response_results.OrbitalTransferSimulationResponse_results(
                    number_of_burns = 56, 
                    thrust_duration = 1.337, 
                    used_propellant = 1.337, 
                    delta_v = 1.337, 
                    thruster_mean_duty_cycle = 1.337, 
                    total_warmup_duty_cycle = 1.337, 
                    mean_burn_duration_estimation = 1.337, 
                    mission_duration = 1.337, 
                    number_of_periods = 56, 
                    total_impulse = 1.337, 
                    final_duty_cycle = 1.337, 
                    maneuver_model = '', 
                    final_orbit = orbital_transfer.models.orbit.Orbit(), ),
                spacecraft_states = orbital_transfer.models.orbital_transfer_simulation_response_spacecraft_states.OrbitalTransferSimulationResponse_spacecraftStates(
                    mu = 1.337, 
                    ephemerides_frame = '', 
                    timestamps = [
                        ''
                        ], 
                    thrusting = [
                        orbital_transfer.models.orbital_transfer_simulation_response_spacecraft_states_thrusting_inner.OrbitalTransferSimulationResponse_spacecraftStates_thrusting_inner(
                            begin = '', 
                            end = '', )
                        ], 
                    mass = [
                        1.337
                        ], 
                    mean = orbital_transfer.models.mean_or_osculating_spacecraft_states.MeanOrOsculatingSpacecraftStates(
                        pv_coordinates = orbital_transfer.models.mean_or_osculating_spacecraft_states_pv_coordinates.MeanOrOsculatingSpacecraftStates_pvCoordinates(
                            position = [
                                [
                                    1.337
                                    ]
                                ], 
                            velocity = [
                                [
                                    1.337
                                    ]
                                ], 
                            acceleration = [
                                [
                                    1.337
                                    ]
                                ], ), 
                        attitude = orbital_transfer.models.mean_or_osculating_spacecraft_states_attitude.MeanOrOsculatingSpacecraftStates_attitude(
                            rotation = [
                                [
                                    1.337
                                    ]
                                ], 
                            rotation_rate = [
                                [
                                    1.337
                                    ]
                                ], 
                            rotation_acceleration = [
                                [
                                    1.337
                                    ]
                                ], ), ), 
                    osculating = orbital_transfer.models.mean_or_osculating_spacecraft_states.MeanOrOsculatingSpacecraftStates(), ),
                ephemerides = [
                    [
                        1.337
                        ]
                    ],
                field_indexes = [
                    orbital_transfer.models.orbital_transfer_simulation_response_field_indexes_inner.OrbitalTransferSimulationResponse_fieldIndexes_inner(
                        key = '', 
                        index = 56, )
                    ],
                orbital_ephemerides = orbital_transfer.models.orbital_transfer_simulation_response_orbital_ephemerides.OrbitalTransferSimulationResponse_orbitalEphemerides(
                    ephemerides_frame = '', 
                    timestamps = [
                        ''
                        ], 
                    mean = orbital_transfer.models.orbital_transfer_simulation_response_orbital_ephemerides_mean.OrbitalTransferSimulationResponse_orbitalEphemerides_mean(
                        keplerian = orbital_transfer.models.keplerian_ephemerides.KeplerianEphemerides(
                            true_anomaly = [
                                1.337
                                ], 
                            mean_anomaly = [
                                1.337
                                ], 
                            inclination = [
                                1.337
                                ], 
                            eccentric_anomaly = [
                                1.337
                                ], 
                            perigee_altitude = [
                                1.337
                                ], 
                            ltan = [
                                1.337
                                ], 
                            altitude = [
                                1.337
                                ], 
                            semi_major_axis = [
                                1.337
                                ], 
                            eccentricity = [
                                1.337
                                ], 
                            raan = [
                                1.337
                                ], ), 
                        cartesian = orbital_transfer.models.cartesian_ephemerides.CartesianEphemerides(
                            x = [
                                1.337
                                ], 
                            y = [
                                1.337
                                ], 
                            z = [
                                1.337
                                ], 
                            vx = [
                                1.337
                                ], 
                            vy = [
                                1.337
                                ], 
                            vz = [
                                1.337
                                ], ), ), 
                    osculating = orbital_transfer.models.orbital_transfer_simulation_response_orbital_ephemerides_osculating.OrbitalTransferSimulationResponse_orbitalEphemerides_osculating(), ),
                thrust_ephemerides = orbital_transfer.models.orbital_transfer_simulation_response_thrust_ephemerides.OrbitalTransferSimulationResponse_thrustEphemerides(
                    timestamps = [
                        ''
                        ], 
                    direction_delta = [
                        1.337
                        ], 
                    direction_alpha = [
                        1.337
                        ], 
                    total_consumption = [
                        1.337
                        ], ),
                errors = [
                    ''
                    ],
                warnings = [
                    ''
                    ]
            )
        else:
            return OrbitalTransferSimulationResponse(
        )
        """

    def testOrbitalTransferSimulationResponse(self):
        """Test OrbitalTransferSimulationResponse"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
